curl -X POST "https://dev-backend-ai.truefans.in/api/external/v1/webhooks/" \
-H "Authorization: Bearer $TRUEFAN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_url": "https://myapp.example.com/webhooks/truefan"}'
{
"webhook": {
"endpoint_id": "9d2f1e0a-...",
"target_url": "https://myapp.example.com/webhooks/truefan",
"is_active": true,
"created": "2026-08-21T10:00:00Z"
},
"secret": "b1946ac92492d2347c6235b4d2611184..."
}
Webhooks
Create a webhook
Register an endpoint to receive generation/bulk job completion events
POST
/
api
/
external
/
v1
/
webhooks
/
curl -X POST "https://dev-backend-ai.truefans.in/api/external/v1/webhooks/" \
-H "Authorization: Bearer $TRUEFAN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_url": "https://myapp.example.com/webhooks/truefan"}'
{
"webhook": {
"endpoint_id": "9d2f1e0a-...",
"target_url": "https://myapp.example.com/webhooks/truefan",
"is_active": true,
"created": "2026-08-21T10:00:00Z"
},
"secret": "b1946ac92492d2347c6235b4d2611184..."
}
string
required
Bearer {api_key}Body
string
required
HTTPS URL that will receive
POST requests for each event. See Webhooks guide for the full payload/signing format.curl -X POST "https://dev-backend-ai.truefans.in/api/external/v1/webhooks/" \
-H "Authorization: Bearer $TRUEFAN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_url": "https://myapp.example.com/webhooks/truefan"}'
{
"webhook": {
"endpoint_id": "9d2f1e0a-...",
"target_url": "https://myapp.example.com/webhooks/truefan",
"is_active": true,
"created": "2026-08-21T10:00:00Z"
},
"secret": "b1946ac92492d2347c6235b4d2611184..."
}
secret is returned exactly once, at creation — used to verify the HMAC signature on every delivery. It’s never shown again after this response.